Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/org-units 200 PagedResultOfOrgUnitDto
POST /api/org-units 200 OrgUnitDto
DELETE /api/org-units/{id} 200
GET /api/org-units/{id} 200 OrgUnitDto
PATCH /api/org-units/{id} 200 OrgUnitDto
PUT /api/org-units/{id} 200 OrgUnitDto
GET /api/org-units/{id}/ancestors 200 OrgUnitDto[]
GET /api/org-units/{id}/descendants 200 OrgUnitDto[]
POST /api/org-units/{id}/move 200 OrgUnitDto
GET /api/org-units/{orgUnitId}/locations 200 PagedResultOfOrgUnitLocationDto
POST /api/org-units/{orgUnitId}/locations 200 OrgUnitLocationDto
DELETE /api/org-units/{orgUnitId}/locations/{locationId} 200
GET /api/org-units/{orgUnitId}/locations/{locationId} 200 OrgUnitLocationDto
PUT /api/org-units/{orgUnitId}/locations/{locationId} 200 OrgUnitLocationDto
GET /api/org-units/{orgUnitId}/locations/{locationId}/contacts 200 PagedResultOfOrgUnitContactDto
POST /api/org-units/{orgUnitId}/locations/{locationId}/contacts 200 OrgUnitContactDto
DELETE /api/org-units/{orgUnitId}/locations/{locationId}/contacts/{contactId} 200
PUT /api/org-units/{orgUnitId}/locations/{locationId}/contacts/{contactId} 200 OrgUnitContactDto
GET /api/org-units/{orgUnitId}/members 200 PagedResultOfOrgUnitMemberDto
POST /api/org-units/{orgUnitId}/members 200 OrgUnitMemberDto
DELETE /api/org-units/{orgUnitId}/members/{userId} 200
PUT /api/org-units/{orgUnitId}/members/{userId} 200 OrgUnitMemberDto
GET /api/org-units/by-code/{code} 200 OrgUnitDto
GET /api/org-units/tree 200 OrgUnitTreeNodeDto[]
GET /api/org-units/types 200 OrgUnitTypeDto[]
POST /api/org-units/types 200 OrgUnitTypeDto
DELETE /api/org-units/types/{id} 200
GET /api/org-units/types/{id} 200 OrgUnitTypeDto
PUT /api/org-units/types/{id} 200 OrgUnitTypeDto

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

OrgUnitContactDto

PropertyTypeDescription
id int64
guid uuid
orgUnitLocationId int64
label string
type OrgUnitContactType
value string
sortOrder int32

OrgUnitDto

PropertyTypeDescription
id int64
guid uuid
name string
code null,string
orgUnitTypeId int64
typeName string
parentId int64
parentName null,string
description null,string
path string
depth int32
externalRef null,string
contactEmail null,string
contactPhone null,string
childCount int32
memberCount int32
createdAtUtc date-time
updatedAtUtc date-time

OrgUnitLocationDto

PropertyTypeDescription
id int64
guid uuid
orgUnitId int64
name string
addressLine1 null,string
addressLine2 null,string
city null,string
state null,string
postalCode null,string
country null,string
latitude double
longitude double
isPrimary boolean
sortOrder int32
contactCount int32
createdAtUtc date-time

OrgUnitMemberDto

PropertyTypeDescription
id int64
guid uuid
orgUnitId int64
orgUnitName string
userId int64
username string
roleId int64
roleName string
isPrimary boolean
title null,string
createdAtUtc date-time

OrgUnitTypeDto

PropertyTypeDescription
id int64
guid uuid
name string
description null,string
sortOrder int32
iconName null,string
orgUnitCount int32

PagedResultOfOrgUnitContactDto

PropertyTypeDescription
items* OrgUnitContactDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

PagedResultOfOrgUnitDto

PropertyTypeDescription
items* OrgUnitDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

PagedResultOfOrgUnitLocationDto

PropertyTypeDescription
items* OrgUnitLocationDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

PagedResultOfOrgUnitMemberDto

PropertyTypeDescription
items* OrgUnitMemberDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean